Package org.drinkless.tdlib

# Class TdApi.ChatPermissions

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatPermissions

Enclosing class:
  TdApi

public static class TdApi.ChatPermissions extends TdApi.Object
Describes actions that a user is allowed to take in a chat.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `canAddLinkPreviews`
  True, if the user may add a link preview to their messages.
  `boolean`
  `canChangeInfo`
  True, if the user can change the chat title, photo, and other settings.
  `boolean`
  `canCreateTopics`
  True, if the user can create topics.
  `boolean`
  `canInviteUsers`
  True, if the user can invite new users to the chat.
  `boolean`
  `canPinMessages`
  True, if the user can pin messages.
  `boolean`
  `canSendAudios`
  True, if the user can send music files.
  `boolean`
  `canSendBasicMessages`
  True, if the user can send text messages, contacts, giveaways, giveaway winners, invoices, locations, and venues.
  `boolean`
  `canSendDocuments`
  True, if the user can send documents.
  `boolean`
  `canSendOtherMessages`
  True, if the user can send animations, games, stickers, and dice and use inline bots.
  `boolean`
  `canSendPhotos`
  True, if the user can send photos.
  `boolean`
  `canSendPolls`
  True, if the user can send polls.
  `boolean`
  `canSendVideoNotes`
  True, if the user can send video notes.
  `boolean`
  `canSendVideos`
  True, if the user can send videos.
  `boolean`
  `canSendVoiceNotes`
  True, if the user can send voice notes.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatPermissions()`
  Describes actions that a user is allowed to take in a chat.
  `ChatPermissions(boolean canSendBasicMessages, boolean canSendAudios, boolean canSendDocuments, boolean canSendPhotos, boolean canSendVideos, boolean canSendVideoNotes, boolean canSendVoiceNotes, boolean canSendPolls, boolean canSendOtherMessages, boolean canAddLinkPreviews, boolean canChangeInfo, boolean canInviteUsers, boolean canPinMessages, boolean canCreateTopics)`
  Describes actions that a user is allowed to take in a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### canSendBasicMessages

    public boolean canSendBasicMessages
    True, if the user can send text messages, contacts, giveaways, giveaway winners, invoices, locations, and venues.

  - ### canSendAudios

    public boolean canSendAudios
    True, if the user can send music files.

  - ### canSendDocuments

    public boolean canSendDocuments
    True, if the user can send documents.

  - ### canSendPhotos

    public boolean canSendPhotos
    True, if the user can send photos.

  - ### canSendVideos

    public boolean canSendVideos
    True, if the user can send videos.

  - ### canSendVideoNotes

    public boolean canSendVideoNotes
    True, if the user can send video notes.

  - ### canSendVoiceNotes

    public boolean canSendVoiceNotes
    True, if the user can send voice notes.

  - ### canSendPolls

    public boolean canSendPolls
    True, if the user can send polls.

  - ### canSendOtherMessages

    public boolean canSendOtherMessages
    True, if the user can send animations, games, stickers, and dice and use inline bots.

  - ### canAddLinkPreviews

    public boolean canAddLinkPreviews
    True, if the user may add a link preview to their messages.

  - ### canChangeInfo

    public boolean canChangeInfo
    True, if the user can change the chat title, photo, and other settings.

  - ### canInviteUsers

    public boolean canInviteUsers
    True, if the user can invite new users to the chat.

  - ### canPinMessages

    public boolean canPinMessages
    True, if the user can pin messages.

  - ### canCreateTopics

    public boolean canCreateTopics
    True, if the user can create topics.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatPermissions

    public ChatPermissions()
    Describes actions that a user is allowed to take in a chat.

  - ### ChatPermissions

    public ChatPermissions(boolean canSendBasicMessages, boolean canSendAudios, boolean canSendDocuments, boolean canSendPhotos, boolean canSendVideos, boolean canSendVideoNotes, boolean canSendVoiceNotes, boolean canSendPolls, boolean canSendOtherMessages, boolean canAddLinkPreviews, boolean canChangeInfo, boolean canInviteUsers, boolean canPinMessages, boolean canCreateTopics)
    Describes actions that a user is allowed to take in a chat.
    Parameters:
      `canSendBasicMessages` - True, if the user can send text messages, contacts, giveaways, giveaway winners, invoices, locations, and venues.
      `canSendAudios` - True, if the user can send music files.
      `canSendDocuments` - True, if the user can send documents.
      `canSendPhotos` - True, if the user can send photos.
      `canSendVideos` - True, if the user can send videos.
      `canSendVideoNotes` - True, if the user can send video notes.
      `canSendVoiceNotes` - True, if the user can send voice notes.
      `canSendPolls` - True, if the user can send polls.
      `canSendOtherMessages` - True, if the user can send animations, games, stickers, and dice and use inline bots.
      `canAddLinkPreviews` - True, if the user may add a link preview to their messages.
      `canChangeInfo` - True, if the user can change the chat title, photo, and other settings.
      `canInviteUsers` - True, if the user can invite new users to the chat.
      `canPinMessages` - True, if the user can pin messages.
      `canCreateTopics` - True, if the user can create topics.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR